ggiSetGCForeground(3)

NAME
ggiSetGCForeground, ggiGetGCForeground, ggiSetGCBackground, ggiGetGCBackground : Set or get the foreground or background color used in drawing operations in a visual

SYNOPSIS
#include <ggi/ggi.h> int ggiSetGCForeground(ggi_visual_t vis,ggi_pixel color); int ggiGetGCForeground(ggi_visual_t vis,ggi_pixel *color); int ggiSetGCBackground(ggi_visual_t vis,ggi_pixel color); int ggiGetGCBackground(ggi_visual_t vis,ggi_pixel *color);

DESCRIPTION
ggiSetGCForeground and ggiGetGCForeground set or reads the current colors for the foreground, used in all normal drawing functions. ggiSetGCBackground and ggiGetGCBackground set or reads the current colors for the background, used in two-color operations like drawing text.

RETURN VALUE
All four functions 0 for OK.